<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>index</name>
    <title>The KDE Resource library</title>
    <filename>index</filename>
  </compound>
  <compound kind="class">
    <name>KRES::Factory</name>
    <filename>classKRES_1_1Factory.html</filename>
    <member kind="function">
      <type>ConfigWidget *</type>
      <name>configWidget</name>
      <anchorfile>classKRES_1_1Factory.html</anchorfile>
      <anchor>ac72a43ea9cf478ff70c59878c1ec0a94</anchor>
      <arglist>(const QString &amp;type, QWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type>Resource *</type>
      <name>resource</name>
      <anchorfile>classKRES_1_1Factory.html</anchorfile>
      <anchor>ab0b615cf4f673a084971509a44665b2d</anchor>
      <arglist>(const QString &amp;type, const KConfig *config)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>typeNames</name>
      <anchorfile>classKRES_1_1Factory.html</anchorfile>
      <anchor>a5f36fe845e9d2488b6eecbb036556aeb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>typeName</name>
      <anchorfile>classKRES_1_1Factory.html</anchorfile>
      <anchor>a579f79348f87d1ab402accbe46f8fcfa</anchor>
      <arglist>(const QString &amp;type) const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>typeDescription</name>
      <anchorfile>classKRES_1_1Factory.html</anchorfile>
      <anchor>a1a95a23d0f3c9f35db449c2609e4052d</anchor>
      <arglist>(const QString &amp;type) const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Factory *</type>
      <name>self</name>
      <anchorfile>classKRES_1_1Factory.html</anchorfile>
      <anchor>afe1731301bb8ff202bd03828a1b49297</anchor>
      <arglist>(const QString &amp;resourceFamily)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>Factory</name>
      <anchorfile>classKRES_1_1Factory.html</anchorfile>
      <anchor>ab705a1a4252339c3d3d9517b4f336f65</anchor>
      <arglist>(const QString &amp;resourceFamily)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KRES::ManagerObserver</name>
    <filename>classKRES_1_1ManagerObserver.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>resourceAdded</name>
      <anchorfile>classKRES_1_1ManagerObserver.html</anchorfile>
      <anchor>ac5e79bf0d684c6c93e125834b6b1e26d</anchor>
      <arglist>(T *resource)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>resourceModified</name>
      <anchorfile>classKRES_1_1ManagerObserver.html</anchorfile>
      <anchor>a63279520d5fc361951b56ffc9e04c4e0</anchor>
      <arglist>(T *resource)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>resourceDeleted</name>
      <anchorfile>classKRES_1_1ManagerObserver.html</anchorfile>
      <anchor>a82612f1a4064cf9f2a4db3bfc65cbe77</anchor>
      <arglist>(T *resource)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KRES::Manager</name>
    <filename>classKRES_1_1Manager.html</filename>
    <class kind="class">KRES::Manager::ActiveIterator</class>
    <class kind="class">KRES::Manager::Iterator</class>
    <member kind="function">
      <type>Iterator</type>
      <name>begin</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>a53dee5ccebb3a444339b9702cd3ad66b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Iterator</type>
      <name>end</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>ad471bb19891037a3e848d01f4ea9f967</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ActiveIterator</type>
      <name>activeBegin</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>a53ab4db452614f499ab7e12151ddf1df</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ActiveIterator</type>
      <name>activeEnd</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>a66dd3bbdfbf8f620550adce01743fb89</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEmpty</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>afce2037ad90a08c2ccc915d560055029</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Manager</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>a4b206f558ce10688a02582c21184aebb</anchor>
      <arglist>(const QString &amp;family)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readConfig</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>a834eca3bf415d2cc68d3c93e8e4999ad</anchor>
      <arglist>(KConfig *cfg=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeConfig</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>aa0026652e97f06eded8e30eecc788a79</anchor>
      <arglist>(KConfig *cfg=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>add</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>a46988ef9f21641237e98044094a4fd8a</anchor>
      <arglist>(Resource *resource)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>remove</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>aa0ee2c39334b2a97f4f2c25e25ab6786</anchor>
      <arglist>(Resource *resource)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>change</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>a8367c2b0718c6ffe81e10c145067b153</anchor>
      <arglist>(T *resource)</arglist>
    </member>
    <member kind="function">
      <type>T *</type>
      <name>standardResource</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>ab29030e26cb019848e23f92f6e879926</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setStandardResource</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>aa1d51c7cc7d12a655cc4d60dbaf1a972</anchor>
      <arglist>(T *resource)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setActive</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>a88e194550073db61d1fdad8e987c4ce6</anchor>
      <arglist>(Resource *resource, bool active)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>resourceNames</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>a483272aeee3f7e2e704e32083871a340</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>T *</type>
      <name>createResource</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>afb564fde7874a1920a64ba65fb49f01c</anchor>
      <arglist>(const QString &amp;type)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>resourceTypeNames</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>a2773c6a21790bca81c9e6dd04063b2bd</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>resourceTypeDescriptions</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>af61f7b29c51d553327d7cfd47da85671</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addObserver</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>a4f2aab02cd8c987782acdb26a43ca459</anchor>
      <arglist>(ManagerObserver&lt; T &gt; *observer)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeObserver</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>a714cc429d41562d2aed1ce4e3c1395df</anchor>
      <arglist>(ManagerObserver&lt; T &gt; *observer)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KRES::Manager::ActiveIterator</name>
    <filename>classKRES_1_1Manager_1_1ActiveIterator.html</filename>
    <member kind="function">
      <type></type>
      <name>ActiveIterator</name>
      <anchorfile>classKRES_1_1Manager_1_1ActiveIterator.html</anchorfile>
      <anchor>ad8531c98cadea621efa78dc9ca10cf5c</anchor>
      <arglist>(const ActiveIterator &amp;it)</arglist>
    </member>
    <member kind="function">
      <type>T *</type>
      <name>operator*</name>
      <anchorfile>classKRES_1_1Manager_1_1ActiveIterator.html</anchorfile>
      <anchor>a0954a4e2b5c50dfa36956977657667ef</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ActiveIterator &amp;</type>
      <name>operator++</name>
      <anchorfile>classKRES_1_1Manager_1_1ActiveIterator.html</anchorfile>
      <anchor>a1757c8d55829b8430976ff6c513fd823</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ActiveIterator &amp;</type>
      <name>operator++</name>
      <anchorfile>classKRES_1_1Manager_1_1ActiveIterator.html</anchorfile>
      <anchor>ae2a2b505b29e10217e901aabd492cc28</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>ActiveIterator &amp;</type>
      <name>operator--</name>
      <anchorfile>classKRES_1_1Manager_1_1ActiveIterator.html</anchorfile>
      <anchor>a1278c1739e57290c1f2bc060f5055782</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ActiveIterator &amp;</type>
      <name>operator--</name>
      <anchorfile>classKRES_1_1Manager_1_1ActiveIterator.html</anchorfile>
      <anchor>a4d20044682d7f9289af8d95d85e59ac8</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classKRES_1_1Manager_1_1ActiveIterator.html</anchorfile>
      <anchor>ac0bf3d5463236fb7aeef9afe4ce9e720</anchor>
      <arglist>(const ActiveIterator &amp;it)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchorfile>classKRES_1_1Manager_1_1ActiveIterator.html</anchorfile>
      <anchor>a48eab3f8ca4d92902f8c98ab94cc363c</anchor>
      <arglist>(const ActiveIterator &amp;it)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>Manager</name>
      <anchorfile>classKRES_1_1Manager_1_1ActiveIterator.html</anchorfile>
      <anchor>adddd5c43ff870a047aa66db4edf82a7e</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KRES::Manager::Iterator</name>
    <filename>classKRES_1_1Manager_1_1Iterator.html</filename>
    <member kind="function">
      <type></type>
      <name>Iterator</name>
      <anchorfile>classKRES_1_1Manager_1_1Iterator.html</anchorfile>
      <anchor>ae670b4aeb1b98b25909feaf8d00284bf</anchor>
      <arglist>(const Iterator &amp;it)</arglist>
    </member>
    <member kind="function">
      <type>T *</type>
      <name>operator*</name>
      <anchorfile>classKRES_1_1Manager_1_1Iterator.html</anchorfile>
      <anchor>a1f167131e6c6b1f128003897cf4bf347</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Iterator &amp;</type>
      <name>operator++</name>
      <anchorfile>classKRES_1_1Manager_1_1Iterator.html</anchorfile>
      <anchor>a406eaae6f24ddae05fc886359fd1c054</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Iterator &amp;</type>
      <name>operator++</name>
      <anchorfile>classKRES_1_1Manager_1_1Iterator.html</anchorfile>
      <anchor>afed1fa494824838843ef26b3589c712b</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>Iterator &amp;</type>
      <name>operator--</name>
      <anchorfile>classKRES_1_1Manager_1_1Iterator.html</anchorfile>
      <anchor>a7254482d337d216570bc790f8a0553a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Iterator &amp;</type>
      <name>operator--</name>
      <anchorfile>classKRES_1_1Manager_1_1Iterator.html</anchorfile>
      <anchor>a6dc1ef3360f45a84c70b541c6c92aa10</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classKRES_1_1Manager_1_1Iterator.html</anchorfile>
      <anchor>acc90d02f6601967c5ae37117db93740a</anchor>
      <arglist>(const Iterator &amp;it)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchorfile>classKRES_1_1Manager_1_1Iterator.html</anchorfile>
      <anchor>ac2c12c2ae18d8225571b06f6e70bb0ac</anchor>
      <arglist>(const Iterator &amp;it)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>Manager</name>
      <anchorfile>classKRES_1_1Manager_1_1Iterator.html</anchorfile>
      <anchor>adddd5c43ff870a047aa66db4edf82a7e</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KRES::Resource</name>
    <filename>classKRES_1_1Resource.html</filename>
    <base>QObject</base>
    <member kind="typedef">
      <type>QValueList&lt; Resource * &gt;</type>
      <name>List</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>add9e0a4a4f0afed9b9bd91536e98da02</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Resource</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>ab51c4fd72cc1170f7811b76f1ea56a65</anchor>
      <arglist>(const KConfig *config)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Resource</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>a0e5ec475e2601bdb33644468e86f6f10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>writeConfig</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>a1dd01b89702931d060d87332001e77d4</anchor>
      <arglist>(KConfig *config)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>open</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>a0bace10c217883eea74fbd584ce5097b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>close</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>abd1bb168eccdd27ea4aecbb86836bc62</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isOpen</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>a4dfd930f90d81362c8e2a64ad2481b39</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>identifier</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>ae17cf4470b97c121651c4fa5a75a0b83</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>type</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>ab6a1040675eb77a2b86592d122a17a90</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setReadOnly</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>a021163f496e0d69936118a7960edb02a</anchor>
      <arglist>(bool value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>readOnly</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>a2a35a353d26abefad3ecb113ee5c5de4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setResourceName</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>a54ecadca62801e08b9881af3593a05b2</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>resourceName</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>a52ebe0cdda9c7968b99b25f85446ef89</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setActive</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>adbbb6904d693a1e82470c00af000ed1f</anchor>
      <arglist>(bool active)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isActive</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>a879c67fdfc7b040a96925bb24400cb19</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>dump</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>a6b66cd10ba2b00886d0b191622be9c38</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>doOpen</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>ac525d54a65c98f1c6828f7bfebaa4461</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>doClose</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>a32c51122eeca72ecdce1ad9897bd2e5f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setIdentifier</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>abebb9edb9158d481d5d6a8d9e8fb8ea2</anchor>
      <arglist>(const QString &amp;identifier)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setType</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>a5fd37bff36721435a837754372ab68f3</anchor>
      <arglist>(const QString &amp;type)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>Factory</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>a328c093d609680cca505905c6d49901a</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>ManagerImpl</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>acb9dc953d201e3c2d9c5da9d54b44b23</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KRES::SelectDialog</name>
    <filename>classKRES_1_1SelectDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>SelectDialog</name>
      <anchorfile>classKRES_1_1SelectDialog.html</anchorfile>
      <anchor>abb005a5542870099628fc695cf6dbdf8</anchor>
      <arglist>(QPtrList&lt; Resource &gt; list, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>Resource *</type>
      <name>resource</name>
      <anchorfile>classKRES_1_1SelectDialog.html</anchorfile>
      <anchor>a3d35766a5a28be867cf15c7ec422d9cf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Resource *</type>
      <name>getResource</name>
      <anchorfile>classKRES_1_1SelectDialog.html</anchorfile>
      <anchor>aa8356300519beea214573fc1318b4cb8</anchor>
      <arglist>(QPtrList&lt; Resource &gt; list, QWidget *parent=0)</arglist>
    </member>
  </compound>
</tagfile>
